#ifndef _Handle_PGeom2d_BoundedCurve_HeaderFile
#define _Handle_PGeom2d_BoundedCurve_HeaderFile

#ifndef _Standard_Macro_HeaderFile
#include <Standard_Macro.hxx>
#endif

#ifndef _Handle_PGeom2d_Curve_HeaderFile
#include <Handle_PGeom2d_Curve.hxx>
#endif
#ifndef _Standard_HeaderFile
#include <Standard.hxx>
#endif

class Standard_Persistent;
class Handle_Standard_Type;
class Handle(PGeom2d_Curve);
class PGeom2d_BoundedCurve;
Standard_EXPORT Handle_Standard_Type& STANDARD_TYPE(PGeom2d_BoundedCurve);

class Handle(PGeom2d_BoundedCurve) : public Handle(PGeom2d_Curve) {
  public:

    Handle(PGeom2d_BoundedCurve)():Handle(PGeom2d_Curve)() {} 
    Handle(PGeom2d_BoundedCurve)(const Handle(PGeom2d_BoundedCurve)& aHandle) : Handle(PGeom2d_Curve)(aHandle) 
     {
     }

    Handle(PGeom2d_BoundedCurve)(const PGeom2d_BoundedCurve* anItem) : Handle(PGeom2d_Curve)((PGeom2d_Curve *)anItem) 
     {
     }

    Handle(PGeom2d_BoundedCurve)& operator=(const Handle(PGeom2d_BoundedCurve)& aHandle)
     {
      Assign(aHandle.Access());
      return *this;
     }

    Handle(PGeom2d_BoundedCurve)& operator=(const PGeom2d_BoundedCurve* anItem)
     {
      Assign((Standard_Persistent *)anItem);
      return *this;
     }

    PGeom2d_BoundedCurve* operator->() const 
     {
      return (PGeom2d_BoundedCurve *)ControlAccess();
     }

   Standard_EXPORT static const Handle(PGeom2d_BoundedCurve) DownCast(const Handle(Standard_Persistent)& AnObject);
};
#endif
